## Macro BOOST_LOG_FUNCTION

BOOST_LOG_FUNCTION

## Synopsis

    // In header: <boost/log/attributes/named_scope.hpp>

    BOOST_LOG_FUNCTION()

## Description

Macro for function scope markup. The scope name is constructed with help of compiler and contains the current function signature. The scope name is pushed to the end of the current thread scope list.

Not all compilers have support for this macro. The exact form of the scope name may vary from one compiler to another.